void flower3()

{
    byte bait;
byte bait1;

      myGLCD.setFont( BigFont);
    
 // myGLCD.fillScr(200,200,200);
 sd.chdir("/");
 delay (100);
     sd.chdir("weat");//установка раб директории 
     delay (100);
//myFiles.loadBitmap(0, 0, 800, 480, "33a.raw");  
  myFile.open("fl3.raw", O_READ);
  
int n=0;
int m=0;
  for (int i =0 ; i < 307200; i = i++)
  {
    n=n+1;
  bait = myFile.read();
 
  bait1 =myFile.read();
  
// w1= (bait - 48) << 4 | (bait1 - 48);
// w2= (bait2 - 48) << 4 | (bait3 - 48);
 w= bait<<8|bait1;
 
 pic1[n]=w;
 //3199
 if (n>639){
 n=0;  
// myGLCD.drawBitmap (0, 20*m, 320, 10, pic1, 2);
//   myGLCD.drawBitmap (0, 2*m, 320, 1, pic1, 2);
  myGLCD.drawBitmap (0, m, 640, 1, pic1, 1);
 m=m+1;
 }
  }
 

  // close the file:d
 myFile.close(); 
//**************************************************
   myGLCD.setBackColor(VGA_TRANSPARENT);
  myGLCD.setColor(VGA_RED); 
    myGLCD.setFont(Ubuntubold);
    myGLCD.print("+" ,60, 56);
    
    myGLCD.setFont(SevenSegNumFont);  
 myGLCD.printNumI(tfl3 ,80, 46);
 
 
  myGLCD.setColor(VGA_AQUA); 
  myGLCD.setFont(Ubuntubold);
    myGLCD.print("%" ,122, 410);
    
   myGLCD.setFont(SevenSegNumFont);
 myGLCD.printNumI(vfl3 ,59, 385); 
 
//   myGLCD.setFont(Ubuntubold);
// myGLCD.setColor(VGA_BLUE);
//myGLCD.printNumI(osv ,440, 43); 
 
 myGLCD.setFont(BigFont);
  myGLCD.setColor(VGA_BLUE);
  myGLCD.printNumI(dfl3 ,65, 455); 
 myGLCD.print(":00",77+16, 455); 
 
 //********************************************************
  sd.chdir("/");//установка раб директории 
     delay (50);
//**************************************
 myGLCD.setColor(0,38,92);
  myGLCD.fillRoundRect(645, 155, 797, 367);//рисуем синий пр-к
      myGLCD.setColor(255, 255, 255);//цвет обводки
  myGLCD.drawRoundRect(645, 155, 797, 367);//прямоугольник с  обводкой
  info();
//  myGLCD.fillScr(VGA_BLUE);
  myGLCD.setColor(VGA_WHITE);
  myGLCD.setBackColor(0,0,55);

  kalend();
  clc();


 
    while(1)
{
 sec=t.sec;
 
 if ((sec==0)||(sec==20)||(sec==40))
{
delay(800);
clc();
}

if ((sec==11) || (sec==42) )
{

 info(); 
 }
 
 if ((sec==55) || (sec==25) )
{

 info();  

 } 
 
  //*********************************TOUCH********************************
if (myTouch.dataAvailable())
 
    {
      myTouch.read();
      int x=myTouch.getX();
      int y=myTouch.getY();
      
           myGLCD.setColor(VGA_BLUE);
      myGLCD.setBackColor(255,255,255);
      myGLCD.setFont( Ubuntubold);
      myGLCD.print("x=    " , 650, 32);
      myGLCD.printNumI(x , 700, 32);  
      myGLCD.setFont( Ubuntubold);
      myGLCD.print("y=    " ,650 , 72);
      myGLCD.printNumI(y , 700, 72); 
      
    
      
         if ((x>=640) && (x<=799))  // Upper row
      { 
        
            if ((y>=10) && (y<=150))  //(10, 370, 90, 450); //Install 
        {
           kalendarset();
            flower3();
        }
        
         if ((y>=370) && (y<=450))  //(10, 370, 90, 450); //Clok 
        {waitForIt1(639, 370, 799, 450);
           flower();
        }
       
      } 
    }//touch


}


}
